$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.28.1.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.28.1.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CA89545FFEA8B81879241398288A4F5EE20DC5C923E9C4371C86DE6BDCA48835'
  checksumType = 'sha256'
  checksum64 = 'CA89545FFEA8B81879241398288A4F5EE20DC5C923E9C4371C86DE6BDCA48835'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.28.1-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
